Main Page Widgets Namespaces Book

# Gtk::IconSize Class Reference

List of all members.

## Detailed Description

Represents registered icon sizes.

You can also use a Gtk::BuiltinIconSize instead of an IconSize.

## Public Member Functions

| IconSize (int size)
| IconSize (BuiltinIconSize size)
| IconSize ()
| operator int () const

## Static Public Member Functions

static IconSize | from_name (const Glib::ustring& name)
static Glib::ustring | get_name (IconSize size)
static bool | lookup (IconSize size, int& width, int& height, const Glib::RefPtr<Gtk::Settings>& settings)
| Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular Gtk::Settings.
static bool | lookup (IconSize size, int& width, int& height)
| Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default Gtk::Settings.
static void | register_alias (const Glib::ustring& alias, IconSize target)
static IconSize | register_new (const Glib::ustring& name, int width, int height)

## Constructor & Destructor Documentation

Gtk::IconSize::IconSize | ( |  | ) | `[inline]`

Gtk::IconSize::IconSize | ( | BuiltinIconSize | size | ) | `[inline]`

Gtk::IconSize::IconSize | ( | int | size | ) | `[inline, explicit]`

## Member Function Documentation

static IconSize Gtk::IconSize::from_name | ( | const Glib::ustring & | name | ) | `[static]`

static Glib::ustring Gtk::IconSize::get_name | ( | IconSize | size | ) | `[static]`

static bool Gtk::IconSize::lookup | ( | IconSize | size,
|  | int & | width,
|  | int & | height,
|  | const Glib::RefPtr<Gtk::Settings>& | settings |
| ) |  |  | `[static]`

Obtains the pixel size of a semantic icon size, possibly modified by user preferences for a particular Gtk::Settings.

Normally size would be Gtk::ICON_SIZE_MENU, Gtk::ICON_SIZE_BUTTON, etc. This function isn't normally needed because Gtk::Widget::render_icon() is the usual way to get an icon for rendering - then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by IconSize::lookup(), because themes are free to render the pixbuf however they like, including changing the usual size.

Parameters:

  | size | An icon size.
  | width | Location to store icon width.
  | height | Location to store icon height.
  | settings | A Gtk::Settings object, used to determine which set of user preferences to used.

Returns:
  true if size was a valid size.

Since gtkmm 2.14:

static bool Gtk::IconSize::lookup | ( | IconSize | size,
|  | int & | width,
|  | int & | height |
| ) |  |  | `[static]`

Obtains the pixel size of a semantic icon size, possibly modified by user preferences for the default Gtk::Settings.

Normally size would be Gtk::ICON_SIZE_MENU, Gtk::ICON_SIZE_BUTTON, etc. This function isn't normally needed because Gtk::Widget::render_icon() is the usual way to get an icon for rendering - then just look at the size of the rendered pixbuf. The rendered pixbuf may not even correspond to the width/height returned by IconSize::lookup(), because themes are free to render the pixbuf however they like, including changing the usual size.

Parameters:

  | size | An icon size.
  | width | Location to store icon width.
  | height | Location to store icon height.

Returns:
  true if size was a valid size.

Gtk::IconSize::operator int | ( |  | ) | const`[inline]`

static void Gtk::IconSize::register_alias | ( | const Glib::ustring & | alias,
|  | IconSize | target |
| ) |  |  | `[static]`

static IconSize Gtk::IconSize::register_new | ( | const Glib::ustring & | name,
|  | int | width,
|  | int | height |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- enums.h